Index: /main/waeup.kofa/trunk/README.txt
===================================================================
--- /main/waeup.kofa/trunk/README.txt	(revision 12967)
+++ /main/waeup.kofa/trunk/README.txt	(revision 12968)
@@ -11,4 +11,4 @@
 See http://www.waeup.org to learn more about WAeUP.
 
-Installation instructions can be found in the User Documentation (docs
+Installation instructions can be found in the User Handbook (docs
 folder in the file system).
Index: /main/waeup.kofa/trunk/docs/INSTALL.txt
===================================================================
--- /main/waeup.kofa/trunk/docs/INSTALL.txt	(revision 12967)
+++ /main/waeup.kofa/trunk/docs/INSTALL.txt	(revision 12968)
@@ -16,4 +16,5 @@
    :local:
 
+.. _prerequisites:
 
 Prerequisites
Index: /main/waeup.kofa/trunk/docs/source/userdocs/academics.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 12967)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 12968)
@@ -7,5 +7,5 @@
 university contains faculties which again host departments. The
 latter offer courses (course units) and study programmes (courses of
-study). A course is series of classes or lessons on a particular
+study). A course is a series of classes or lessons on a particular
 subject. This can be a lecture, tutorial, seminar, practical work
 offered by a lecturer of the department over a period of an academic
@@ -24,6 +24,22 @@
 academic section is a container of type `FacultiesContainer` with id
 ``academics`` which contains faculty sub-containers. They again
-contain department sub-objects, nothing else. This leads to a
-:ref:`treelike storage of objects <object_database>`.
+contain department sub-objects and so on. This leads to a
+:ref:`treelike storage of objects <object_database>`::
+
+  Academic Section (FacultiesContainer)
+  |
+  --> Faculty
+      |
+      --->Department
+            |
+            +---> CoursesContainer
+            |        |
+            |        +--------------------> Course
+            |                                 ^
+            +---> CertificatesContainer       |
+                     |                        |
+                     +-----> Certificate      |
+                                |             |
+                                +------> CertificateCourse
 
 .. note::
@@ -36,9 +52,6 @@
   well. Thus navigating through the academic section and other
   parts of Kofa with a test browser is perfectly described in
-  :ref:`browser.txt <pages_txt>`.
+  :ref:`pages.txt <pages_txt>`.
 
-.. seealso::
-
-   :ref:`Browsing Kofa Doctests <pages_txt>`
 
 Faculties
@@ -66,6 +79,6 @@
 Additionally, each department object has the attributes
 `certificates` and `courses`. These attributes again are containers
-which hold certificate and course objects respectively. A
-:py:meth:`traverse
+which hold certificate and course objects respectively.
+A :py:meth:`traverse
 <waeup.kofa.university.department.Department.traverse>` method leads
 the user to believe that `certificates` and `courses` are the ids of
@@ -73,5 +86,5 @@
 However, it doesn't matter if we store a sub-object 'in' or 'at' a
 parent object. The result is exactly the same: :ref:`a hierarchical,
-treelike storage of objects <object_database>`.
+treelike storage of objects <object_database>` (see also diagram above).
 
 The following :ref:`local roles <local_roles>` can be assigned at
Index: /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/import_processors.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/import_processors.rst	(revision 12967)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/import_processors.rst	(revision 12968)
@@ -28,5 +28,6 @@
 do not list available fields of each processor here. Available fields
 are shown in the browser user interface on the upload page of the
-portal.
+portal. The processors of the Kofa base package can be viewed
+`here <http://kofa-demo.waeup.org/processors>`_.
 
 Regular Processors
Index: /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/import_stages.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/import_stages.rst	(revision 12967)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/datacenter/import_stages.rst	(revision 12968)
@@ -32,4 +32,6 @@
 vocabularies, which feed the choices, can be also accessed from the
 datacenter upload page and shows up in a modal window.
+Sources and vocabularies of the base package can be viewed
+`here <http://kofa-demo.waeup.org/sources>`_.
 
 Data center managers can upload any kind of CSV file from their
Index: /main/waeup.kofa/trunk/docs/source/userdocs/students.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/students.rst	(revision 12967)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/students.rst	(revision 12968)
@@ -3,2 +3,54 @@
 Student Section :sup:`in progress`
 **********************************
+
+'Student' is a multi-purpose term in Kofa which may lead to some misconceptions. First of all 'Student' is a Python/Grok container class and student objects are the instances of this class. Sometimes we are sluggish when talking about 'creating students' and actually mean: 'creating student container objects and storing the objects (persistently) in the ``students`` container'. The latter is the parent container for all students in the portal.
+
+The :ref:`treelike storage of objects <object_database>` in the student section can be figured as follows::
+
+
+  Student Section (StudentsContainer)
+  |
+  --> Student
+      |
+      --->StudentStudyCourse
+      |     |
+      |     +---> StudentStudyLevel
+      |              |
+      |              +----------------> CourseTicket
+      |
+      +---> StudentPaymentsContainer
+      |        |
+      |        +-----> StudentOnlinePayment
+      |
+      +---> StudentAccommodation
+               |
+               +-----> BedTicket
+
+
+.. note::
+
+  Throughout Kofa we distinguish singular and plural expressions. A students container contains students (or more precisely student containers), a payments container contains payments, a courses container contains courses, a certificates container contains certificates.
+
+Furthermore, a student is also a user of the portal and the student object is a user account surrogate, see :ref:`Applicants and Students <applicants_and_students>`. In the following we always refer to the student container when talking about a student.
+
+Students
+========
+
+The `Student` class is a container class which means, there are not only attributes describing the student but also content. Each student container contains exactly three sub-containers: ``studycourse``  (instance of `StudentStudyCourse`), ``payments`` (instance of `StudentPaymentsContainer`)  ``accommodation`` (instance of `StudentAccommodation`). The purposes of them are described further below.
+
+Let's talk about the attributes and methods belonging to the `Student` class, the so-called 'external behaviour' of student objects. The data stored with each student object are subdivided into three parts: base data, personal data and clearance data.
+
+Now comes the point where we have to briefly introduce Zope's (see :ref:`prerequisites`) concept of 'interfaces'. 
+
+
+Student Study Courses
+=====================
+
+Student Study Levels
+--------------------
+
+Student Payments
+================
+
+Student Accommodation
+=====================
Index: /main/waeup.kofa/trunk/docs/source/userdocs/users.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/users.rst	(revision 12967)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/users.rst	(revision 12968)
@@ -31,4 +31,5 @@
 self-registration of applicants.
 
+.. _applicants_and_students:
 
 Applicants and Students
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 12967)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 12968)
@@ -57,5 +57,5 @@
 class CertificateCoursesIndexes(grok.Indexes):
     """This catalog is needed for automatic removal of certificate courses
-    and later for selection of course tickets in the students section.
+    and later for selection of course tickets in the student section.
     """
     grok.site(IUniversity)