Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 12888)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 12982)
@@ -79,25 +79,25 @@
         self.assertMatches(result,
             'aggregate,applicant_id,application_date,application_number,'
-            'course1,course2,course_admitted,date_of_birth,display_fullname,'
-            'email,emp2_end,emp2_position,emp2_reason,emp2_start,emp_end,'
-            'emp_position,emp_reason,emp_start,employer,employer2,'
-            'firstname,history,hq_degree,hq_disc,hq_matric_no,hq_school,'
-            'hq_session,hq_type,jamb_age,jamb_reg_number,jamb_score,'
-            'jamb_subjects,lastname,lga,locked,marit_stat,middlename,'
-            'nationality,next_kin_address,notice,nysc_lga,nysc_year,'
-            'olevel_exam_date,olevel_exam_date2,olevel_exam_number,'
-            'olevel_exam_number2,olevel_results,olevel_results2,'
-            'olevel_school,olevel_school2,olevel_type,olevel_type2,'
-            'password,phone,pp_school,presently_inst,reg_number,'
-            'religion,result_uploaded,screening_date,screening_score,'
-            'screening_venue,sex,special_application,state,student_id,'
-            'suspended,container_code\r\n'
-            ',dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04#,'
+            'body_responsible_address,course1,course2,course_admitted,'
+            'date_of_birth,display_fullname,email,emp2_end,emp2_position,'
+            'emp2_reason,emp2_start,emp_end,emp_position,emp_reason,'
+            'emp_start,employer,employer2,firstname,history,hq_degree,'
+            'hq_disc,hq_matric_no,hq_school,hq_session,hq_type,'
+            'jamb_reg_number,jamb_score,jamb_subjects,lastname,lga,'
+            'locked,marit_stat,middlename,nationality,next_kin_address,'
+            'notice,nysc_lga,nysc_year,olevel_exam_date,olevel_exam_date2,'
+            'olevel_exam_number,olevel_exam_number2,olevel_results,'
+            'olevel_results2,olevel_school,olevel_school2,olevel_type,'
+            'olevel_type2,password,phone,pp_school,presently_inst,'
+            'reg_number,religion,result_uploaded,screening_date,'
+            'screening_score,screening_venue,sex,special_application,'
+            'state,student_id,suspended,container_code\r\n'
+            ',dp2011_654321,,654321,,CERT1,CERT1,CERT1,1981-02-04#,'
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
-            '[u\'2015-04-26 13:44:05 WAT - Application initialized by system\']'
-            ',,,,,,,,,,,Tester,,0,,M.,NG,,"Some notice\nin lines.",,,,,,,,,,,,,'
+            '[u\'2015-05-22 05:35:35 WAT - Application initialized by system\']'
+            ',,,,,,,,,,Tester,,0,,M.,NG,,"Some notice\nin lines.",,,,,,,,,,,,,'
             'any password,+234-123-12345#,,,123456,,,'
-            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,'
-            'f,,initialized,,0,dp2011\r\n')
+            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,'
+            'initialized,,0,dp2011\r\n')
         # We can import the same file if we ignore some columns.
         # Since the applicants_catalog hasn't been notified, the same
@@ -107,19 +107,21 @@
             self.outfile,
             ['aggreagate','ignore_applicant_id','application_date',
-            'ignore_application_number','course1','course2',
-            'course_admitted','date_of_birth','ignore3','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname','ignore4',
-            'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked','middlename',
-            'nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst',
-            'reg_number','result_uploaded',
-            'screening_date','screening_score','screening_venue','sex',
-            'special_application',
+            'ignore_application_number',
+            'body_responsible_address','course1','course2','course_admitted',
+            'date_of_birth','display_fullname','email','emp2_end','emp2_position',
+            'emp2_reason','emp2_start','emp_end','emp_position','emp_reason',
+            'emp_start','employer','employer2','firstname','history','hq_degree',
+            'hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
+            'jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
+            'locked','marit_stat','middlename','nationality','next_kin_address',
+            'notice','nysc_lga','nysc_year','olevel_exam_date','olevel_exam_date2',
+            'olevel_exam_number','olevel_exam_number2','olevel_results',
+            'olevel_results2','olevel_school','olevel_school2','olevel_type',
+            'olevel_type2','password','phone','pp_school','presently_inst',
+            'reg_number','religion','result_uploaded','screening_date',
+            'screening_score','screening_venue','sex','special_application',
             'state','student_id','suspended','container_code'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
-        #content = open(failed_path).read()
         self.assertEqual(num_succ,1)
         self.assertEqual(num_fail,0)
@@ -132,15 +134,19 @@
         result = processor.doImport(
             self.outfile,
-            ['aggregate','ignore_applicant_id','application_date',
-            'ignore_application_number','course1','course2',
-            'course_admitted','date_of_birth','ignore3','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname','ignore4',
-            'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked','middlename',
-            'nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst',
-            'reg_number','result_uploaded','screening_date','screening_score',
-            'screening_venue','sex','special_application',
+            ['aggreagate','ignore_applicant_id','application_date',
+            'ignore_application_number',
+            'body_responsible_address','course1','course2','course_admitted',
+            'date_of_birth','display_fullname','email','emp2_end','emp2_position',
+            'emp2_reason','emp2_start','emp_end','emp_position','emp_reason',
+            'emp_start','employer','employer2','firstname','history','hq_degree',
+            'hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
+            'jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
+            'locked','marit_stat','middlename','nationality','next_kin_address',
+            'notice','nysc_lga','nysc_year','olevel_exam_date','olevel_exam_date2',
+            'olevel_exam_number','olevel_exam_number2','olevel_results',
+            'olevel_results2','olevel_school','olevel_school2','olevel_type',
+            'olevel_type2','password','phone','pp_school','presently_inst',
+            'reg_number','religion','result_uploaded','screening_date',
+            'screening_score','screening_venue','sex','special_application',
             'state','student_id','suspended','ignore_container_code'],
             mode='update')