Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/app.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/app.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/app.txt	(revision 12993)
@@ -1,4 +1,4 @@
-:mod:`waeup.ikoba.app` -- central components for Ikoba
-******************************************************
+Central Components
+******************
 
 .. :doctest:
@@ -6,20 +6,4 @@
 
 .. module:: waeup.ikoba.app
-
-.. class:: Company
-
-  The main Ikoba application object is given with
-  :class:`Company`. It provides the main containers as faculties,
-  hostels, etc.
-
-  .. attribute:: name
-
-     A string. The name of a company.
-
-  .. attribute:: faculties
-
-     An arbitrary object containing "faculties". In the case of
-     `Company` it is a container of type
-     `waeup.ikoba.interfaces.IFacultiesContainer`.
 
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/authentication.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/authentication.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/authentication.txt	(revision 12993)
@@ -1,4 +1,4 @@
-Ikoba authentication
-*******************
+Authentication
+**************
 
 We need to protect most pieces of our portals from unauthenticated
@@ -24,6 +24,6 @@
   >>> browser.handleErrors = False
 
-Creating users (principals)
-===========================
+Creating officers
+=================
 
 Before we can login, we have to provide a user (``principal`` in Zope
@@ -42,6 +42,6 @@
 See ``userscontainer.txt`` for details about the UsersContainer we use here.
 
-Users and local roles
-=====================
+Officers and local roles
+========================
 
 Accounts also hold infos about local roles assigned to a user. In the
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/batchprocessing.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/batchprocessing.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/batchprocessing.txt	(revision 12993)
@@ -1,4 +1,4 @@
-:mod:`waeup.ikoba.utils.batching` -- Batch processing
-****************************************************
+Batch Processing
+****************
 
 Batch processing is much more than pure data import.
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/batchprocessing_browser.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/batchprocessing_browser.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/batchprocessing_browser.txt	(revision 12993)
@@ -1,3 +1,3 @@
-Batch processing via browser
+Batch Processing via Browser
 ****************************
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/catalog.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/catalog.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/catalog.txt	(revision 12993)
@@ -1,4 +1,4 @@
-:mod:`waeup.ikoba.catalog` -- Cataloging support Ikoba
-****************************************************
+Cataloging Support
+******************
 
 .. module:: waeup.ikoba.catalog
@@ -18,40 +18,6 @@
 ------------------
 
-.. class:: IkobaQuery()
-
-   .. attribute:: grok.implements(hurry.query.interfaces.IQuery)
-
-   A `hurry.query.query.Query` compatible query that also supports
-   retrival of plain ``Bree`` result sets as used inside a catalog.
-
-   Like `hurry.query.query.Query` objects, `IkobaQuery` is some kind
-   of a meta query or 'compound query' that can give the cataloged
-   objects (or their int ids) matching one or more 'subqueries'.
-
-   This way you can search for objects (or their int ids) that match
-   several criteria at the same time. See ``examples`` section below.
-
-   A singleton instance of this class is also available as global
-   utility.
-
-   .. method:: searchResults(query)
-
-     Get the cataloged objects determined by ``query``.
-
-   .. method:: apply(query)
-
-     Get the list of int ids (a `BTree` result set) for objects
-     determined by ``query``.
-
-     The list of int ids is less expensive to compute than the
-     complete search results and sufficient, for instance, when you
-     only need the number of objects that match a query and not the
-     objects themselves.
-
-Examples
-========
-
 Getting a general query object
-------------------------------
+==============================
 
 We can get a IkobaQuery object by asking for an unnamed global utility
@@ -69,5 +35,5 @@
 
 Setting up a catalog and feeding it
------------------------------------
+===================================
 
     >>> from zope.catalog.interfaces import ICatalog
@@ -148,5 +114,5 @@
 
 Searching for result sets
--------------------------
+=========================
 
 Finally we can perform queries:
@@ -198,5 +164,5 @@
 
 Searching for objects
----------------------
+=====================
 
 Very often we don't want to know the catalog-internal 'ids' of
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/datacenter.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/datacenter.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/datacenter.txt	(revision 12993)
@@ -1,4 +1,4 @@
-Ikoba Data Center
-****************
+Data Center
+***********
 
 The Ikoba data center cares for managing CSV files and importing then.
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/helpers.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/helpers.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/helpers.txt	(revision 12993)
@@ -1,4 +1,4 @@
-:mod:`waeup.ikoba.utils.helpers` -- Helpers for Ikoba
-***************************************************
+Helpers for Ikoba
+*****************
 
 .. module:: waeup.ikoba.utils.helpers
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/pages.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/pages.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/pages.txt	(revision 12993)
@@ -5,5 +5,5 @@
 
 Company
-==========
+=======
 
 We can watch universities in the browser.
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/permissions.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/permissions.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/permissions.txt	(revision 12993)
@@ -1,4 +1,4 @@
-Ikoba permissions and roles
-**************************
+Permissions and Roles
+*********************
 
 Permissions and roles used in a Ikoba portal.
@@ -7,5 +7,5 @@
 .. :layer: waeup.ikoba.testing.IkobaUnitTestLayer
 
-Convenience functions
+Convenience Functions
 =====================
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/userscontainer.txt
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/userscontainer.txt	(revision 12991)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/doctests/userscontainer.txt	(revision 12993)
@@ -1,4 +1,4 @@
-User container for the Ikoba
-****************************
+Users Container
+***************
 
 .. :doctest: